
// ImagePane.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, November 2004

/* Simple JFrame used to develop and test the GUIPanel
   class used in ShapelyImagePane.
*/


import javax.swing.*;
import java.awt.*;


public class ImagePane extends JFrame 
{
  public ImagePane()
  {
     super( "ImagePane" );
     setSize(200, 240);    // dimensions for JFrame

     Container c = getContentPane();
     c.add( new GUIPanel( getWidth(), getHeight()) );  // reuse dimensions

     setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
     setResizable(false);
     setVisible(true);
  } // end of ImagePane()


  // -----------------------------------------------

  public static void main( String args[] )
  { new ImagePane();  }

} // end of ImagePane class


